From b64390ddbc678b5900ca656d845036336259cd4e Mon Sep 17 00:00:00 2001
From: Brian Mattern <rephorm@rephorm.com>
Date: Thu, 20 Sep 2012 08:57:39 -0700
Subject: [PATCH] check that pwgen succeeded before storing password

---
 src/password-store.sh |    1 +
 1 file changed, 1 insertion(+)

diff --git a/src/password-store.sh b/src/password-store.sh
index f0b965a..ffe2bce 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -309,6 +309,7 @@ case "$command" in
 		fi
 		mkdir -p -v "$PREFIX/$(dirname "$path")"
 		pass="$(pwgen -s $symbols $length 1)"
+		[[ $? -eq 0 ]] || { echo "The 'pwgen' utility must be installed to generate passwords."; exit 1; }
 		passfile="$PREFIX/$path.gpg"
 		$GPG -e -r "$ID" -o "$passfile" $GPG_OPTS <<<"$pass"
 		git_add_file "$passfile" "Added generated password for $path to store."
-- 
1.7.9.5

